# Author: Logan Tucker
# Date: 11.8.21
# Purpose: Define a city class with instance variables that contain important information about each city


class City:
    def __init__(self, country_code, name, region, population, latitude, longitude):
        self.country_code = country_code  # string
        self.name = name  # string
        self.region = region  # string
        self.population = population  # int
        self.latitude = latitude  # float
        self.longitude = longitude  # float

    # Purpose: return a string consisting of the city's name, population, latitude, and longitude
    # Parameters: None
    def __str__(self):
        return self.name + "," + str(self.population) + "," + str(self.latitude) + "," + str(self.longitude)
